Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- **`Professional Experience`[WORK_EXPERIENCE_HEADING]** -NL- ● Over 6+ years of IT experience and 2 years of experience in ​React JS ​and​Redux​. -NL- ● Good hands on​​experience in ​developing web and enterprise applications using -NL- React JS, Redux, HTML5, CSS3, JavaScript and​​ECMASCRIPT6/5​. -NL- ● Good hands on experience in building components using ​React Hooks, React -NL- Forms, React Flow, React Router​ and worked on syncfusion libraries such as -NL- React Diagrams​ and ​Schedule Component​. -NL- ● Profound Knowledge in ​Document Object Model (DOM), OOJS​. -NL- ● Extensive knowledge in developing single - page applications (​SPA​). -NL- ● Good experience on customizing CSS frameworks like ​Bootstrap​and foundation -NL- using CSS pre-processors​ LESS ​and​SASS​. -NL- ● Implemented unit test cases for components using ​Enzyme​and​Jest​. -NL- ● Expertise in using bug tracking tools like ​JIRA​and Version Control tools like ​GIT​. -NL- ● Created clean, precise code compatible across various devices like iPhone, iPad and -NL- Android devices. -NL- ● Ability to improvise, grasp new skills and troubleshoot problems. -NL- ● Capable of quickly learning and delivering solutions as an individual and as part of a -NL- team. -NL- ● Well-organized with an ability to prioritize tasks. -NL- **`Projects`[OTHERS_HEADING]** -NL- 2019 - present  Product: Zinier -NL- Organization: **`Zinier Inc`[EMPLOYER_COMPANY_NAME]**. -NL- Description: -NL- Based in Silicon Valley, ​Zinier​ helps companies with large field service -NL- teams manage their complex ​businesses​,​logistics​, and ​processes​. This -NL- includes ​large telecom​ companies with hundreds, even thousands of -NL- technicians who install and repair equipment, and energy companies with -NL- expensive industrial infrastructure. A purpose-built solution, Zinier’s -NL- modern ​PaaS platform​ uses ​AI-driven insights​ and ​recommendations -NL- to streamline ​field service​ operations, helping organizations do more with -NL- less. -NL- Responsibilities: -NL- ● Built new user-facing features using ReactJS and Redux. -NL- ● Worked on important features like User Landing Page, JSON -NL- Schema Validation and Visualizer Component. -NL- ● Good understanding of code versioning tools and bug-tracking -NL- systems, such as JIRA and GIT. -NL- ● Ability to understand business requirements and translate them into -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- technical requirements. -NL- 2018 - 2019 Project: Apple Store in WeChat -NL- Client: Apple Inc. -NL- Organization: **`Infosys Ltd`[EMPLOYER_COMPANY_NAME]** -NL- Environment: React JS, Redux, Webpack, SASS, Jest, Enzyme, -NL- Charles, HTML5, CSS3, Javascript. -NL- Description​: -NL- WeChat​ is a messaging app popularly used in China. It is one of the -NL- world's largest standalone mobile apps with over 1 billion active users. -NL- Apple Inc​, has an official account with WeChat, where the application that -NL- we built is hosted. Its an online Apple store showcasing Apple Products -NL- like​ iPhone, iPad, Watch Series, Macbook and accessories​. The app -NL- uses ​WeChat pay​ as the payment medium. All the features like ​Today At -NL- Apple, Apple Tradin ​etc​.,​ that are common across all apple platforms like -NL- Apple online store (AOS) ​and​ Apple Store App (ASA)​, were recently -NL- introduced to our app. -NL- Responsibilities: -NL- ● Interacted with Onsite to understand the requirement and discuss -NL- Marcom details, conclude and decide on tasks on a daily basis. -NL- ● Built POCs according to the requirement and wrote test cases using -NL- Jest​ and ​Enzyme​. -NL- ● Worked on major parts of the application like ​Smart Tiles, Today At -NL- Apple, Apple Trade-in, Product PDP, Omniture tracking, OLSS -NL- and​ Checkout. -NL- ● Worked on replacing the deprecated lifecycle methods with ​React -NL- Hooks. -NL- ● Worked on radars and coordinated with onsite to identify the ​POCs -NL- that needed improvement -NL- ● Worked on code refactoring and improvising the overall -NL- implementation of the app. -NL- 2017 -NL- Project: NexApp -NL- Client: Individual -NL- Environment: HTML5, CSS3, JavaScript, JQuery, SASS, Bourbon, Neat -NL- and GulpJS -NL- Description: -NL- NexApp is a Dashboard application. This dashboard is an information -NL- management tool that is used to track the courses completed by a user, -NL- the timeline of the course, managing private messages and -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- Announcements. Through the use of data -NL- visualizations, dashboards simplify complex data sets to provide users -NL- with at a glance awareness of current performance. -NL- Responsibilities: -NL- ● GulpJS is used to automate tasks like minifying CSS and JavaScript -NL- file, compiling SASS to obtain the CSS file. -NL- ● Responsive web design and cross bowser compatible -NL- ● Building Data using JSON -NL- 2017 -NL- Project: Dashboard -NL- Client: Individual -NL- Environment: HTML5, CSS3, JavaScript, AngularJS, Bootstrap and -NL- Highcharts API -NL- Description: -NL- This is a single page application that provides the complete view of all the -NL- components associated within the application. A dashboard is an -NL- information management tool that is used to track active customers, -NL- metrics, user details and other key data points relevant to a business, -NL- department, or specific process. Through the use of data -NL- visualizations, dashboards simplify complex data sets to provide users -NL- with at a glance awareness of current performance. -NL- Highcharts API is used to implement the map that gives the visual -NL- representation of active customers. 3D donut chart is used to represent -NL- the number of currently active users. Bar chart is used to represent the -NL- overall improvement in performances and word cloud is used which can be -NL- used to showcase tags and keywords. The applications read the data from -NL- a JSON file and displays the data using data binding. -NL- Responsibilities: -NL- ● Understanding and building the structure of the Application -NL- ● Creating Controllers and Factories for different parts of the -NL- Application -NL- ● Creating visually pleasing charts and maps using the Highcharts API -NL- ● Responsive web design and cross bowser compatible -NL- ● Building Data using JSON -NL- 2017 -NL- Project: Quiz Application -NL- Client: Individual -NL- Environment: HTML5, CSS3, JavaScript, AngularJS and Bootstrap -NL- Description: -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- A simple Quiz Application in AngularJs. A general-purpose quiz application -NL- that can be used anywhere with slight modification. The application’s -NL- landing page provides information about the subject in detail and takes -NL- you to the Quiz page. The Quiz page has set of questions about the things -NL- you learn in the landing page. The App will force you to answer all the -NL- questions. It evaluates all the answers in the end and presents the final -NL- score. The user can review all the questions again to find the right answers -NL- for all the wrong answers given. -NL- Multiple controllers are created to control different parts of the Application. -NL- Factories are used to provide data and metrics for the App. -NL- Responsibilities: -NL- ● Understanding and building the structure of the Application -NL- ● Creating Controllers and Factories for different parts of the -NL- Application -NL- ● Using some very common features of AngularJS like filters, -NL- ng-repeat, ng-class, ng-click, ng-hide and ng-show -NL- ● Responsive Web Design and cross bowser compatible -NL- ● Building Data using JSON -NL- 2016 -NL- Project: Web Application Development -NL- Client: Individual -NL- Environment: HTML5, CSS3, JavaScript, JQuery, AJAX -NL- Description: -NL- Cosmorecipes.com is a culinary website with 40,000+ recipes from all -NL- around the world. Visitors can rate the recipes and submit their own -NL- recipes. Recipes are categorized using taxonomy and listed using Views. -NL- Thousands of recipes were imported using the Feed module. -NL- Responsibilities: -NL- ● Customization and theming of core and contributed Drupal -NL- modules. -NL- ● Creating and theming custom modules. -NL- ● Changing the look and feel of the website by creating new themes, -NL- customizing, modifying and updating the existing themes. -NL- ● Rich user interface development with Drupal JavaScript Libraries. -NL- ● Creating and Customizing PHP templates. -NL- ● Converting PSD to HTML template. -NL- 2015 -NL- Project: Web Application Development -NL- Client: BebasisSmart -NL- Environment: Drupal 6, PHP, MySQL, HTML, AJAX, JavaScript, jQuery, -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- CSS, Photoshop​. -NL- Description: -NL- BeBasisSmart (BBS) is a solution provider for any kind of technical -NL- clarifications on SAP NetWeaver Basis administration. The moderator and -NL- consultants involved in these forums are certified from SAP on various -NL- domains with enriched knowledge and experience. With such expertise on -NL- board, BBS will be in a position to provide high quality support for any -NL- technical issues, irrespective of any OS/DB platforms. -NL- Responsibilities: -NL- ● Customization and theming of core and contributed Drupal -NL- modules. -NL- ● Creating and theming custom modules. -NL- ● Changing the look and feel of the website by creating new themes, -NL- customizing, modifying and updating the existing themes. -NL- ● Rich user interface development with Drupal JavaScript Libraries. -NL- ● Creating and Customizing PHP templates. -NL- ● Converting HTML to PHP template. -NL- 2009 -NL- Project: Web Application Development -NL- Client: Classle Knowledge Private Limited -NL- Environment: Drupal 6, PHP, MySQL, HTML, AJAX, JavaScript, jQuery, -NL- CSS, Photoshop. -NL- Description: -NL- www.classle.net is a resource hub for learners to learn, search, create, -NL- share and discuss in their chosen disciplines. This is accomplished by a -NL- dedicated team of learners, knowers and experts including educators, -NL- professionals, academicians and career counselors. -NL- Classle provides a platform to create a wide variety of organized contents. -NL- It has a simple and intuitive user interface. This way both technical and -NL- non-technical learner can easily search, create, manage, and track their -NL- preferred contents. Learners with similar needs can interact through -NL- forums and get together in Classle Groups. -NL- Responsibilities: -NL- ● Customization and theming of core and contributed Drupal -NL- modules. -NL- ● Creating and theming custom modules. -NL- ● Changing the look and feel of the website by creating new themes, -NL- customizing, modifying and updating the existing themes. -NL- ● Rich user interface development with Drupal Javascript Libraries. -NL- ● Creating and Customizing PHP templates. -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- ● Converting HTML to PHP template. -NL- 2007 - 2008 Project: Customer Feedback Automation Tool -NL- Client: HCL Technologies -NL- Environment: C#, ASP.Net, ADO.Net, Visual Studio.Net 2005 / .Net -NL- Framework 2.0, XML, SQL Server 2000/2005, JavaScript. -NL- Description: -NL- This project is aimed to automate Customer Feedback process which is -NL- done manually coordinated by the QMG department and a report to upper -NL- level management is sent. This process thus helps in monitoring and -NL- controlling the QOS (Quality of Service) provided to the customers. CSAT -NL- Automation Tool will help in automatically generating different reports for -NL- various business users including IDU Heads and CEO improving the -NL- effectiveness of CSAT process implementation. The end-users of -NL- this system would be the Project Managers, Group Heads, CEO and QMG -NL- staff. -NL- Responsibilities: -NL- ● Developed secure windows application, which includes login form, -NL- which will authorize and authenticate the users by retrieving their -NL- login names and passwords from the database using ADO.Net. -NL- ● Managing SQL Server Database for all the modules. -NL- ● Analysis, Design, Development and Support for all the module’s and -NL- incorporating the various module in the application. -NL- ● Trained new resources and took up development activities -NL- simultaneously. -NL- ● Developed a core module and guided the developers in doing their -NL- activities. -NL- ● Secured application using Form authentication. -NL- ● Building and deployment of the application. -NL- ● Implemented Business logics isolated at server level using Microsoft -NL- enterprise library. -NL- 2007 –2008 -NL- Project : Dashboard Application -NL- Client: HCL Technologies -NL- Environment:​​.Net frame work, ASP.Net, Microsoft Enterprise library, -NL- ADO.Net, C#, JavaScript, CSS, Visual Studio.Net 2005, XML, SQL -NL- Server 2005(Client), Windows Server 2003, IIS 6.0, JavaScript. -NL- Description: -NL- This Dashboard application is acting as a portal where the employees -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- working at various locations, are exposed various services like, Time and -NL- Attendance management, weekly Work Report update, Knowledge base -NL- where all the materials related to their project are uploaded, Time sheet -NL- update, updating the employees skill sets ..etc -NL- Responsibilities: -NL- ● Involved in the Requirement gathering and analysis -NL- ● Requirement studies by communicating with the client. Detailed -NL- analysis of Client requirements. Design of the operational flow, -NL- prepared design documents, E-R diagrams, Flow charts. -NL- ● Developed efficient C#.NET applications. Implemented -NL- parameterized functions, procedures and triggering events. -NL- ● Developed secure window application, which includes login form, -NL- which will authorize and authenticate the users by retrieving their -NL- login names and passwords from the database using ADO.Net. -NL- ● Used ADO.Net disconnected Architecture for the database -NL- connectivity using Data Adapter, Dataset. -NL- ● Significantly improved overall business object performance by -NL- implementing Code optimization techniques -NL- ● Extensively used ADO.Net objects to populate Data sets, Data grid -NL- and Repeater controls for display and manipulation of records -NL- ● Developed the Client Side Validation scripts with Java Script -NL- ● Involved in designing the lower level design document. -NL- ● Development of the Stored procedures and Table Designs in SQL -NL- server 2005 -NL- ● Designed the complete Layouts for the website using cascading -NL- Style Sheets and Java Scripts -NL- ● Successfully developed and deployed .NET applications in (Test -NL- Server) windows Server 2003 using IIS 6.0. -NL- 2006 –2007 -NL- Project: Sun Java Enterprise Systems -NL- Client : Sun Microsystems -NL- Environment: Sun Java Directory Server, Sun ONE Messaging Server, -NL- Sun Java Calendar Server, Outlook Connector, Delegated -NL- Administrator, Unified Web Client (UWC) on Solaris -NL- Description: -NL- Sun Microsystems Inc., (NASDAQ: JAVA) develops the technologies that -NL- power the global marketplace. Guided by a singular vision -- "The Network -NL- is the Computer" -- Sun drives network participation through shared -NL- innovation, community development and open source leadership. -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- Java Enterprise System is a comprehensive set of subscription-based -NL- services that combines software, support, professional services, and -NL- educational services in a single package, for a single price. -NL- Sun Service Plans provide the services support and resources that help -NL- you get the most out of your systems and software. HCL is engaged to -NL- extend the Consulting and Field Services organization of Sun -NL- Microsystems. -NL- Responsibilities: -NL- ● Have worked with customers in all regions (UK, Middle East, USA). -NL- ● Understanding the architecture, environment of the COMMS -NL- Products in the Sun JES product suite to provide consulting to -NL- address the issues of the customers using the Communication -NL- Products of the Sun JES product suite. -NL- ● Attended Product Specific Training in Hamburg, Germany by Sun -NL- Microsystems to have a good knowledge of the products. -NL- ● Have reproduced customer's issues and worked closely with the -NL- Sun Microsystems team in resolving customer issues -NL- ● Have worked with customers in all regions (UK, Middle East, USA). -NL- ● Collect data for root cause analysis for each service impacting -NL- incident with all possible corrective actions for improvement. -NL- **`Academic Details`[EDUCATION_HEADING]** -NL- 2003 - 2006 **`Masters in Computer Applications`[EDUCATION_DEGREE]** at **`Easwari Engineering College, Anna -NL- University`[EDUCATION_INSTITUTE]** – 2006 with 70%. -NL- 2000 - 2003 **`Bachelor of Science`[EDUCATION_DEGREE]** in **`Computer Science`[EDUCATION_COURSE]** at **`J.A. Arts and Science College, -NL- Madras University`[EDUCATION_INSTITUTE]** – 2003 with 67%. -NL- 1999 - 2000 **`Higher secondary education`[EDUCATION_DEGREE]** at Meenakshi Matriculation Higher Secondary -NL- School with 67%. -NL- 1997 - 1998 Completed 10​th​ standard in Velammal Matriculation Higher Secondary -NL- School with 75%. -NL- Profile of **`Krithiga Rani Murugesan`[NAME]** -NL- **`Personal Data`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth -NL- 01-04-1983 -NL- Nationality -NL- Indian -NL- Gender -NL- Female -NL- Pan Number -NL- BFAPK7574K -NL- Postal Address -NL- A 1402, Sumadhura Shikharam, Ashram road, Seegehalli, Whitefield, -NL- Bangalore – 560067. -NL- Mobile -NL- (91) 7760674567 -NL- E-mail Address -NL- critica.r@gmail.com -NL- 